import * as $dara from '@darabonba/typescript';
import { DescribeSoarStrategyParamResponseBody } from "./DescribeSoarStrategyParamResponseBody";
export declare class DescribeSoarStrategyParamResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSoarStrategyParamResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
